Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class PersistenceMetadata

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceMetadata

    public class PersistenceMetadata

extends Object

Simple represenation of persistence.xml

Version:
  $Revision: 9590 $
Author:
  Bill Burke

Constructor Summary
`PersistenceMetadata()`

Method Summary
`List<String>` | `getClasses()`
`boolean` | `getExcludeUnlistedClasses()`
`List<InputStream>` | `getHbmfiles()`
`Set<String>` | `getJarFiles()`
`String` | `getJtaDatasource()`
`List<String>` | `getMappingFiles()`
`String` | `getName()`
`String` | `getNonJtaDatasource()`
`List<String>` | `getPackages()`
`Properties` | `getProps()`
`String` | `getProvider()`
`javax.persistence.spi.PersistenceUnitTransactionType` | `getTransactionType()`
`void` | `setClasses(List<String> classes)`
`void` | `setExcludeUnlistedClasses(boolean excludeUnlistedClasses)`
`void` | `setHbmfiles(List<InputStream> hbmfiles)`
`void` | `setJarFiles(Set<String> jarFiles)`
`void` | `setJtaDatasource(String jtaDatasource)`
`void` | `setMappingFiles(List<String> mappingFiles)`
`void` | `setName(String name)`
`void` | `setNonJtaDatasource(String nonJtaDatasource)`
`void` | `setPackages(List<String> packages)`
`void` | `setProps(Properties props)`
`void` | `setProvider(String provider)`
`void` | `setTransactionType(javax.persistence.spi.PersistenceUnitTransactionType transactionType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceMetadata

    public PersistenceMetadata()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getTransactionType

    public javax.persistence.spi.PersistenceUnitTransactionType getTransactionType()

### setTransactionType

    public void setTransactionType(javax.persistence.spi.PersistenceUnitTransactionType transactionType)

### getNonJtaDatasource

    public String getNonJtaDatasource()

### setNonJtaDatasource

    public void setNonJtaDatasource(String nonJtaDatasource)

### getJtaDatasource

    public String getJtaDatasource()

### setJtaDatasource

    public void setJtaDatasource(String jtaDatasource)

### getProvider

    public String getProvider()

### setProvider

    public void setProvider(String provider)

### getClasses

    public List<String> getClasses()

### setClasses

    public void setClasses(List<String> classes)

### getPackages

    public List<String> getPackages()

### setPackages

    public void setPackages(List<String> packages)

### getMappingFiles

    public List<String> getMappingFiles()

### setMappingFiles

    public void setMappingFiles(List<String> mappingFiles)

### getJarFiles

    public Set<String> getJarFiles()

### setJarFiles

    public void setJarFiles(Set<String> jarFiles)

### getProps

    public Properties getProps()

### setProps

    public void setProps(Properties props)

### getHbmfiles

    public List<InputStream> getHbmfiles()

### setHbmfiles

    public void setHbmfiles(List<InputStream> hbmfiles)

### getExcludeUnlistedClasses

    public boolean getExcludeUnlistedClasses()

### setExcludeUnlistedClasses

    public void setExcludeUnlistedClasses(boolean excludeUnlistedClasses)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD